Subject: Re: ML403 Linux port questions

From: Brian Silverman <[email-masked]>
Date: Fri, 29 Feb 2008 17:11:02 -0500

I am currently building under cygwin for the Virtex-4.  Yes, it's likely 
more of a pain, but its doable.  But any way you slice it, its not 
instantaneous to get a build environment up and running.

Anyway, here's what I'm using right now:

crosstool 0.42 (gcc3.4.1, glibc2.3.3) (possibly patched)
Linux 2.6.24-rc8-xlnx (git.xilinx.com)
    - with patch for building under cygwin: 
http://lkml.org/lkml/2007/2/22/421
    - A missing elf.h file, not in my cygwin distribution.

Also a pain with cygwin is the NFS server - I had difficulty getting it 
to work with more recent cygwin install, and have been unable to 
downgrade it.  Finally, with no loopback device in cygwin, if you want 
to create initrd's, you have to do this on a Linux box.  But this is now 
less of an issue in 2.6 with initramfs.

-bri

Phil Hochstetler wrote:
>
> I'm setting up a new development environment to get a working port of 
> Linux on the Xilinx Virtex-4 chip  (I have a Xilinx ML403 board).  I'm 
> looking for the quickest way to get a working development environment 
> for the 2.6 kernel without paying thousands of $$ (what happened to 
> MontaVista?).  My first attempt was to use google and found lots of 
> resources.  The problem is that much of the info is dated or makes 
> assumptions about your environment.  I read Grants write-up at 
> http://wiki.secretlab.ca/index.php/Linux_on_Xilinx_Virtex.  Because I 
> want to use Windows XP SP2 as the host if possible, I went down the 
> path of installing the current Cygwin and was able to create cross 
> tools (gcc 4.1) successfully.  The problem I am having is that the 
> Linux build process requires a newer gcc than 3.4.4-3 which is what 
> Cygwin provides.  I have used the EDK to build a bsp package 
> successfully so that is not a problem.  I tried to compile the 
> 2.6.24.2 mainline kernel but it fails to compile using the Cygwin 
> tools (it never gets as far as using them).
>
>  
>
> I guess what I am looking for is advise on the lowest risk, easiest to 
> set up environment to setup that will just work.  Also advise on which 
> kernel to use.   I don't need a detailed tutorial but a high level 
> direct that is known to work.  I am thinking of using either the 
> secret lab tree or the Xilinx tree as recommended in Grants wiki 
> page.  Should I just forget using XP and install a Linux (x86 
> processor so I must use cross tools)?   If so, what is the recommend 
> distro and what version?
>
>  
>
> Thanks for all your sharing of experience.  I hope to contribute back 
> as soon as I can.
>
>  
>
> --phil
>
> ------------------------------------------------------------------------
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded

-- 
Brian Silverman
Concept X, LLC